/***********************************
* Copyright 1998 by Kevin MacDonald
* kmacdo01@student.vill.edu
***********************************/

/***********************************
* Header file for the code that 
* parses through the dat files
***********************************/

#ifndef INFOH
#define INFOH
#include <iostream.h>
#include <fstream.h>

class info
{
public:
  info(char air[4]);
  char *getTemp();
  char *getHum();
  char *getWind();
  char *getWeath();
  char *getPressure();
  char *getCity();

protected:
  char temp[20], hum[20], wind[21], pressure[20],
       weath[21], dummy[255], city[30];
  char line1[255];
  int filelen(char *fname);
  char *formatstring(char *item);
};

#endif
